Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZURLType Class Reference

A content datatype which handles urls. More...

Inheritance diagram for eZURLType:

## Public Member Functions
| __construct ()
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| deleteStoredObjectAttribute ( $contentObjectAttribute, $version=null)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| postStore ( $objectAttribute)
| storeObjectAttribute ( $attribute)
| storeClassAttribute ( $attribute, $version)
| storeDefinedClassAttribute ( $attribute)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| objectAttributeContent ( $contentObjectAttribute)
| hasObjectAttributeContent ( $contentObjectAttribute)
| metaData ( $contentObjectAttribute)
| title ( $contentObjectAttribute, $name=null)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| supportsBatchInitializeObjectAttribute ()
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| classAttributeContent ( $classAttribute)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| preStoreClassAttribute ( $classAttribute, $version)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| initializeClassAttribute ( $classAttribute)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isIndexable ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| isInformationCollector ()
| sortKey ( $objectAttribute)
| sortKeyType ()
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| diff ( $old, $new, $options=false)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)

## Public Attributes
| $MaxLenValidator
const | DATA_TYPE_STRING = 'ezurl'
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

A content datatype which handles urls.

Definition at line 19 of file ezurltype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZURLType::__construct | ( |  | ) |

Definition at line 27 of file ezurltype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ deleteStoredObjectAttribute()

eZURLType::deleteStoredObjectAttribute | ( |  | $objectAttribute,
|  |  | $version = `null`
| ) |  |

Deletes $objectAttribute datatype data, optionally in version $version.

Parameters

  eZContentObjectAttribute | $objectAttribute |
  int | $version |

Reimplemented from eZDataType.

Definition at line 90 of file ezurltype.php.

References eZURLObjectLink\fetchLinkList(), eZURLObjectLink\hasObjectLinkList(), eZDB\instance(), eZURL\removeByID(), and eZURLObjectLink\removeURLlinkList().

## ◆ fetchObjectAttributeHTTPInput()

eZURLType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post var url input and stores it in the data instance.

Reimplemented from eZDataType.

Definition at line 123 of file ezurltype.php.

## ◆ fromString()

eZURLType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 274 of file ezurltype.php.

References eZURL\registerURL().

## ◆ hasObjectAttributeContent()

eZURLType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 223 of file ezurltype.php.

References eZURL\fetch().

## ◆ initializeObjectAttribute()

eZURLType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Sets the default value.

Reimplemented from eZDataType.

Definition at line 37 of file ezurltype.php.

## ◆ metaData()

eZURLType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indeces.

Reimplemented from eZDataType.

Definition at line 239 of file ezurltype.php.

## ◆ objectAttributeContent()

eZURLType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 211 of file ezurltype.php.

References eZURL\url().

## ◆ postStore()

eZURLType::postStore | ( |  | $objectAttribute | ) |

Makes some post-store operations. Called by framework after store of eZContentObjectAttribute object.

Reimplemented from eZDataType.

Definition at line 143 of file ezurltype.php.

References eZURLObjectLink\create(), eZURLObjectLink\fetchLinkObjectList(), eZDB\instance(), eZURL\registerURL(), and eZURLObjectLink\removeURLlinkList().

## ◆ serializeContentObjectAttribute()

eZURLType::serializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute
| ) |  |

Parameters

  package |
  content | attribute

Returns
  a DOM representation of the content object attribute

Reimplemented from eZDataType.

Definition at line 313 of file ezurltype.php.

References eZDataType\createContentObjectAttributeDOMNode(), and eZURL\fetch().

## ◆ storeClassAttribute()

eZURLType::storeClassAttribute | ( |  | $classAttribute,
|  |  | $version
| ) |  |

Stores the datatype data to the database which is related to the class attribute. The $version parameter determines which version is currently being stored, 0 is the real version while 1 is the temporary version.

Returns
  True if the value was stored correctly.

Note
  The method is entirely up to the datatype, for instance it could reuse the available types in the the attribute or store in a separate object.
  This function is called after the attribute data has been stored. If you need to alter attribute data use preStoreClassAttribute instead.

See also
  fetchClassAttributeHTTPInput

Reimplemented from eZDataType.

Definition at line 195 of file ezurltype.php.

## ◆ storeDefinedClassAttribute()

eZURLType::storeDefinedClassAttribute | ( |  | $classAttribute | ) |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Parameters

  eZContentClassAttribute | $classAttribute | Content class attribute of the datatype

Reimplemented from eZDataType.

Definition at line 199 of file ezurltype.php.

## ◆ storeObjectAttribute()

eZURLType::storeObjectAttribute | ( |  | $attribute | ) |

Store the URL in the URL database and store the reference to it.

Reimplemented from eZDataType.

Definition at line 175 of file ezurltype.php.

References eZURLObjectLink\hasObjectLinkList(), eZURL\registerURL(), and eZURL\removeByID().

## ◆ supportsBatchInitializeObjectAttribute()

eZURLType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 377 of file ezurltype.php.

## ◆ title()

eZURLType::title | ( |  | $contentObjectAttribute,
|  |  | $name = `null`
| ) |  |

Returns the content of the url for use as a title

Reimplemented from eZDataType.

Definition at line 247 of file ezurltype.php.

## ◆ toString()

eZURLType::toString | ( |  | $objectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 252 of file ezurltype.php.

References eZURL\url().

## ◆ unserializeContentObjectAttribute()

eZURLType::unserializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute,
|  |  | $attributeNode
| ) |  |

Parameters

  package |
  contentobject | attribute object
  domnode | object

Reimplemented from eZDataType.

Definition at line 347 of file ezurltype.php.

References eZURL\fetch(), and eZURL\registerURL().

## ◆ validateClassAttributeHTTPInput()

eZURLType::validateClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Validates the input for a class attribute and returns a validation state as defined in eZInputValidator.

Note
  Default implementation does nothing and returns accepted.

Reimplemented from eZDataType.

Definition at line 203 of file ezurltype.php.

References eZInputValidator\STATE_ACCEPTED.

## ◆ validateObjectAttributeHTTPInput()

eZURLType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 64 of file ezurltype.php.

References eZURLObjectLink\removeURLlinkList(), eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## Member Data Documentation

## ◆ $MaxLenValidator

eZURLType::$MaxLenValidator

Definition at line 24 of file ezurltype.php.

## ◆ DATA_TYPE_STRING

const eZURLType::DATA_TYPE_STRING = 'ezurl'

Definition at line 25 of file ezurltype.php.

The documentation for this class was generated from the following file:

- ezurltype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.